# partition.h File Reference

## Detailed Description

Parallel implementation of std::partition(), std::nth_element(), and std::partial_sort(). This file is a GNU parallel extension to the Standard C++ Library.

Definition in file partition.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_PARTITION_H
- #define _GLIBCXX_VOLATILE

## Functions

- template<typename RandomAccessIterator, typename Comparator> void __gnu_parallel::parallel_nth_element (RandomAccessIterator begin, RandomAccessIterator nth, RandomAccessIterator end, Comparator comp)
- template<typename RandomAccessIterator, typename Comparator> void __gnu_parallel::parallel_partial_sort (RandomAccessIterator begin, RandomAccessIterator middle, RandomAccessIterator end, Comparator comp)
- template<typename RandomAccessIterator, typename Predicate> std::iterator_traits< RandomAccessIterator
  >::difference_type __gnu_parallel::parallel_partition (RandomAccessIterator begin, RandomAccessIterator end, Predicate pred, thread_index_t num_threads)

## Define Documentation

#define _GLIBCXX_VOLATILE

Decide whether to declare certain variables volatile.

Definition at line 49 of file partition.h.

Referenced by __gnu_parallel::parallel_partition().